This page explains how to update Nielsen elements.
{resource-id}: the object ID
| Parameter | Value | Mandatory |
|---|---|---|
| title | A non-empty string | NO |
| clientid | The client ID of the Nielsen account | NO |
| vcid | The vcid parameter of the Nielsen account | NO |
| cisuffix | The cisuffix parameter of the Nielsen account | NO |
| sfcode | The sfcode parameter of the Nielsen account | NO |
| prod | The prod parameter of the Nielsen account | NO |
| default | 1 if you want the account entered to be the default. 0 otherwise |
NO |
| description | A string | NO |
| Field | Value | Description |
|---|---|---|
| id | string | Object ID |
| title | string | Object title |
| clientid | string | The client ID of the Nielsen account |
| vcid | string | The vcid parameter of the Nielsen account |
| cisuffix | string | The cisuffix parameter of the Nielsen account |
| sfcode | string | The sfcode parameter of the Nielsen account |
| prod | string | The prod parameter of the Nielsen account |
| default | boolean | 1 if the account is the default. 0 otherwise |
| description | string | The associated description |
| created_at | string | The create date that follows the format Y-m-d H:i:sY(year) m(month) d(day) H(hours) i(minutes) s(seconds) |
curl -i -H "Accept: application/json" -H "Content-Type:application/json" -H "access-token: [your-access-token]" -H "X-HTTP-Method-Override: PUT" -X POST http://API_DOMAIN/rest/v2/nielsen/2.json -d '
{
"title": "New title"
}'
{
"id":"2",
"title":"New title",
"clientid":"clientid",
"vcid":"vcid",
"cisuffix":"",
"sfcode":"it",
"prod":"prod",
"description":null,
"default":"1",
"created_at":"2013-02-06 18:12:03"
}
Note The updated object will be returned as a response
Note The PUT method is not supported by all systems. In case of problems, add the parameter to the Header of the callX-HTTP-Method-Override: PUT and use the method POST as default
$merideApi = new Meride\Api('[your-auth-code]', 'http://API_DOMAIN/', 'v2');
$response = $merideApi->update('nielsen', '2', array (
'title' => 'New title',
));